Subject: Re: bug#78836: /var/empty permissions problems between sshd and nslcd

From: Yann Dupont <[email-masked]>
Date: Fri, 20 Jun 2025 18:08:12 +0200

On 20/06/2025 17:57, Sergey Trofimov wrote:
> If the OS is stripped to the bare minimum, I assume that it doesn't have
> all the system users usually present in Guix system (daemon and
> builders). It could happen that nslcd is the only user with the home dir
> set to /var/empty (check /etc/passwd). In that case
> activate-users+groups won't be changing the permissions because it only
> does that on directories that are shared between multiple accounts.

yes, I was debugging this afternoon and just came to the same conclusion :

The culprit is this line  (modify-services %base-services (delete 
guix-service-type))

We delete it because our store is shared and GUIX_DAEMON_SOCKET set.

I think we can close this bug report, as I imagine there can't be many 
of us with this problem.

Thanks a lot for the explanation,